[Question bête] suivi des mises à jour des paquet .deb installés localement

Postez ici toutes vos demandes d’assistance.
Répondre
falke
Messages : 388
Enregistré le : mar. 3 oct. 2017 21:28

[Question bête] suivi des mises à jour des paquet .deb installés localement

Message par falke »

bonjour,

je pense que c'est la question la plus bêête que j'ai posé depuis que je suis sous linux (2006)

Généralement j'évite autant que possible d'installer des .deb au pire je passe par un ppa ou les dépôts au mieux.

Donc comment savoir qu'un .deb installé sur son pc est périmé pour l'OS installé ?
Généralement il est recommandé de choisir le .deb correspondant sa version version d'ubuntu (vs linuxmint), ou le plus approchant...

Le constate t -on dans synaptic du fait qu'un jour, peut-etre, il sera cassé (dépendances plus dispos dans la distribution ?) , ou par un autre moyen ?

Y a-t-il un moyen de télécharger via un script ou un paquet fait pour cela, les derniers .deb d'une appli, les installer de façon à ce qu'ils soit toujours dans la dernière version , on va dire , pour la branche stable disponible ?

Oui je sais je rêve...


merci pour vos réponses


falke
System:
Host: falke-MacBookAir Kernel: 5.4.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.8.6 Distro: Linux Mint 20.1 Ulyssa
Machine:
Type: Laptop System: Apple product: MacBookAir7,2 v: 1.0

Avatar du membre
Anaximandre
Messages : 74
Enregistré le : lun. 4 nov. 2019 19:18
Localisation : Ardennes belges

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par Anaximandre »

Bonjour.

Dommage que ton post sombre dans les oubliettes de ce forum...
Il ne manque pourtant pas de compétences pour éclairer tous les néophytes dépourvus de la science infuse. :D

Reprenons brièvement.
Soit un quelconque fichier .deb ou issu d'un ppa que l'on souhaite installer :
la compatibilité de ce fichier avec Mint 19.3, ici, est subordonnée à la base Ubuntu 18.04 bionic, sauf erreur de ma part. Sinon, quelles solutions quand la prise en charge d'Ubuntu 18.04 bionic aura cessé ou a déjà cessé pour certains logiciels ?
Peut-on dire que c'est la base (ici : Ubuntu 1804 bionic) qui décide de la compatibilité d'un fichier avec l'OS installé ? Est-ce le critère absolu avant toute installation ou mise à jour ?

Si je comprends correctement le principe Linux, la seule manière d'éviter l'obsolescence oblige à faire évoluer continuellement le système pour ne jamais être "en retard d'une guerre". Ai-je bien compris ?

Merci d'avance ;)
Sony Portable VPCEC3M1E -- Cinnamon 4.2.4 -- CPU : Intel Core i5 460M @2.53 GHz X 2 -- GPU : AMD/ATI]
Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] -- HDD : Seagate Ata Device 500 Go 5 400 t/m --
RAM : 8 Go DDR3 @ 532MHZ -- Carte mère : Sony Vaio -- Double amorçage : Windows 7 et Mint Cinnamon 19.3 --
Kernel : 4.15.0-136 -- Imprimante-copieur-scanner Canon MP520. Navigateur : Brave.

yoyo.thebest
Messages : 81
Enregistré le : jeu. 15 sept. 2016 21:15

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par yoyo.thebest »

Bonjour

je ne sais pas forcément si cela va répondre exactement à ce que tu cherches.
as tu essayer la commande

Code : Tout sélectionner

apt list --installed
Cela te permetra d'avoir non pas les .deb installé mais l'ensemble des packages installés
ou pour avoir un poil plus d'infos

Code : Tout sélectionner

sudo dpkg-query -l | less
Linux Mint 20.1 : Cinnamon 4.8.6
MSI model: H81M-P33 (MS-7817) v: 1.0
CPU: Dual Core model: Intel Core i3-4160 bits: 64 type: MT MCP
GPU : NVIDIA GM206 -GeForce GTX 950

Avatar du membre
Anaximandre
Messages : 74
Enregistré le : lun. 4 nov. 2019 19:18
Localisation : Ardennes belges

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par Anaximandre »

Bonsoir.

Merci de m'accorder un peu de ton temps.
Hélas, tes suggestions ne répondent pas aux questions que je pose et que pose Falke.
;)
Sony Portable VPCEC3M1E -- Cinnamon 4.2.4 -- CPU : Intel Core i5 460M @2.53 GHz X 2 -- GPU : AMD/ATI]
Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] -- HDD : Seagate Ata Device 500 Go 5 400 t/m --
RAM : 8 Go DDR3 @ 532MHZ -- Carte mère : Sony Vaio -- Double amorçage : Windows 7 et Mint Cinnamon 19.3 --
Kernel : 4.15.0-136 -- Imprimante-copieur-scanner Canon MP520. Navigateur : Brave.

falke
Messages : 388
Enregistré le : mar. 3 oct. 2017 21:28

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par falke »

@anaximandre,

tu as bien compris la problématique que je pose.

En fait l'ensemble d'une version d'une distribution est conçue dans un soucis de cohérence des paquets livrés entre eux, pour les paquets livrés par "de base"

Si tu vas dans synaptic tu verras qu'il est indiqué avec quels paquets certain paquets sont incompatibles (en conflit) donc, si tu installes ces derniers tu coures le risque de casser l'application installé à l'origine.

exple ( à tout hasard ) paquet gparted (partitionneur de disque) , dans la rubrique dépendances il est dit qu'il casse l'appli udisk2 (pour ses versions < 2.1.5 ) , j'ai eu de la chance , car j'ai installé gparted (présent dans les dépot mais non installé par défaut).

Je plaisante :D dans ce cas les concepteurs de la version ont bien pris soin de proposer des version garted et udisks2 compatibles entre elles.
mais tu vois la problématique.

Ce qui m'a toujours intrigué , certes on dit d'éviter d'installer des paquets de sources extérieures à la distro , c'est dangereux et tout, ce qui est vrai, sur le principe, si l'on ne s'assure pas qu'à un instant t (le paquets étranger et toutes ses dépendances) soit compatibles
avec tous les paquets de la distro actuelle.
==> je trouve que ce point gagnerait à être explicité pour les débutant (monde windows) tentés d'aller piocher des paquets ici ou là.

Ensuite , je me suis déjà étonnés de sites proposant un .deb sans mention de la version de distribution d'origine et sa compatibilité avec ta distro dérivée actuelle (il ya eu plusieurs version debian, à laquelle ça correspond ? une unstable, testing, stable ? ) .
J'avoue déjà être plus rassuré quand on me propose une version pour la ubuntu correspondant à ma version de Mint , ou carrément pour Mint

Quoique , même dans une même version d'une distro la version des paquets évolue, et des deb externe pourraient non fonctionnels ou- même casser les paquets officiels la distro.

Je sais qu'il comment à y avoir des solutions (flatpak & co) toutefois assez lourdes (car ça consiste a faire fonctionner l'appli dans un deuxième environnement) mais efficaces en terme de stabilité du système hôte.

Ma question serait plutôt donc de savoir s'il y aurait (une sorte de depot de *deb) dont on sera capable de télécharger uniquement la version compatible à coup sûr avec la distribution que l'on utilise (ou n'installerait rien au cas contraire) et serait du coup en mesure de proposer les nouvelles versions.


falke
System:
Host: falke-MacBookAir Kernel: 5.4.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.8.6 Distro: Linux Mint 20.1 Ulyssa
Machine:
Type: Laptop System: Apple product: MacBookAir7,2 v: 1.0

Avatar du membre
Anaximandre
Messages : 74
Enregistré le : lun. 4 nov. 2019 19:18
Localisation : Ardennes belges

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par Anaximandre »

@ falke

Bonsoir.
Je conclus le sujet.
Ton analyse détaille bien la problématique, qui ne semble pas intéresser grand-monde. Dommage.

Synaptic peut jouer le rôle de garde-fou. Merci de le signaler : la chose m'avait échappé.

En complément, s'en tenir à un nombre minimum de .deb ou ppa compatibles avec la base (Ubuntu 18.04 Bionic, chez moi).
Résultat : aucun dysfonctionnement depuis un an sous LM 19.3.
Est-ce à dire qu'il ne faut jamais sortir du cadre d'Ubuntu 18.04 bionic, et installer ce qui n'y correspond pas ?
Je laisse le soin aux experts de trancher. Un peu déconcertant quand on sort tout frais de 20 ans de Windows...
Quelles solutions quand la prise en charge de base (Ubuntu 18.04 bionic) n'existe pas ou aura cessé d'exister ? L'installation d'une nouvelle version de distri ? Plutôt fastidieux...

Enfin, l'existence d'une "centrale" .deb proposant des versions de paquets compatibles pour toutes versions de distributions est difficilement imaginable. Il me semble que l'énorme marché des paquets disponibles dans le monde libre empêche sans doute d'en assurer une actualisation ainsi qu'une compatibilité suivies.

Cordialement. ;)
Sony Portable VPCEC3M1E -- Cinnamon 4.2.4 -- CPU : Intel Core i5 460M @2.53 GHz X 2 -- GPU : AMD/ATI]
Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] -- HDD : Seagate Ata Device 500 Go 5 400 t/m --
RAM : 8 Go DDR3 @ 532MHZ -- Carte mère : Sony Vaio -- Double amorçage : Windows 7 et Mint Cinnamon 19.3 --
Kernel : 4.15.0-136 -- Imprimante-copieur-scanner Canon MP520. Navigateur : Brave.

falke
Messages : 388
Enregistré le : mar. 3 oct. 2017 21:28

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par falke »

@anaximandre

au moins quelqu'un qui s'intéresse au sujet. :D .

Savoir pourquoi , comment on peut péter sa distro, ou du moins un paquet (d'aiileurs tiens y a un sujet là dessus en ce moment ;-) ici : viewtopic.php?f=33&t=17569 me semble plus important que se ruer sur le premier .deb venu.
Généralement c'est réparable (retour arrière ) plus ou moins facilement selon les interdépendances et conséquence en chaine ...

Mais péter sa distro devrait être relativement rare, vu que quasi tout y est déjà. Perso je n'ai installé que teamviewer (proposé qu'en .deb)
et
spotify (ppa) , encore qu'il y ai une version web, car je sais que c'est des grosses boites à priori sérieuses avec les deb qu'elles proposent.

Sinon , si je suis sensible à cette question c'est que j'ai passé quasi trois ans sous Arch, puis sous Manjaro (Arch) et que sous ces distros le soucis des paquets incompatibles est omniprésent, le moindre problème est d'emblée signalé par l'installateur, on y voit de manière beaucoup plus explicite qui est dépendant de quoi.

Sous linux donc, pour éviter la casse avec des paquets exotiques , il y a la solution snap, flatpak etc...
System:
Host: falke-MacBookAir Kernel: 5.4.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.8.6 Distro: Linux Mint 20.1 Ulyssa
Machine:
Type: Laptop System: Apple product: MacBookAir7,2 v: 1.0

Avatar du membre
Mia88
Messages : 1139
Enregistré le : ven. 18 nov. 2016 08:42
Localisation : Lorraine

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par Mia88 »

Bonjour,
falke a écrit :
jeu. 18 févr. 2021 17:36
Donc comment savoir qu'un .deb installé sur son pc est périmé pour l'OS installé ?
Déjà là, tu as capté mon attention ;)
Anaximandre a écrit :
lun. 22 févr. 2021 17:09
Ton analyse détaille bien la problématique, qui ne semble pas intéresser grand-monde. Dommage.
Il y a tout de même eu 90 vues :D
Parfois on n'a rien à apporter au sujet, ce qui n'empêche pas de le suivre, et celui-ci contient des remarques intéressantes.

J'ai souvent lu qu'il fallait éviter les paquets "étrangers", .deb, PPA, ... donc j'évite, mais le pourquoi n'est pas souvent abordé...
Mint Cinnamon 19.3 64-bits / Intel Xeon CPU E3-1270 V2 3.5GHz x 4 / Ram 15.6 Go / CG NVIDIA GF106GL [Quaro 2000]

Avatar du membre
david37
modérateur
Messages : 3739
Enregistré le : lun. 22 août 2016 05:06

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par david37 »

Salut Falke,

Tout d'abord, je suis tout a fait d'accord avec Mia88
Mia88 a écrit :
mar. 23 févr. 2021 13:55
Il y a tout de même eu 90 vues :D
Parfois on n'a rien à apporter au sujet, ce qui n'empêche pas de le suivre, et celui-ci contient des remarques intéressantes.
Et donc je trouve ta question intéressante surtout pour les néophytes et je pense que le système des dépôts des distributions linux est un point souvent mal compris par les débutants sous Linux (surtout ceux venant de Windows). Encore que maintenant avec tous les "stores" que ça soit sur téléphone ou tablette, la plupart des gens commencent a avoir le réflexe d'aller chercher les logiciels dans le store avant d'aller sur 01.net :l :lol:
falke a écrit :
jeu. 18 févr. 2021 17:36
Donc comment savoir qu'un .deb installé sur son pc est périmé pour l'OS installé ?
falke a écrit :
jeu. 18 févr. 2021 17:36
Y a-t-il un moyen de télécharger via un script ou un paquet fait pour cela, les derniers .deb d'une appli, les installer de façon à ce qu'ils soit toujours dans la dernière version , on va dire , pour la branche stable disponible ?

Oui je sais je rêve...
Pour ma part, je pense que si tu les as installes "manuellement", va falloir les mettre a jour "manuellement". Tu peux pas décemment t'attendre a ce que les développeurs de ta distri est anticiper tous les .deb que tu pourrais trouver sur le net et garde une trace de chaque sites depuis lesquels tu as installes ces .deb.

Le mieux c'est de garder une note des .deb installes localement avec le lien vers le site ou tu les as obtenus afin de vérifier de temps a autre si une nouvelle version est sortie.
Techniquement, je pense (même si je serais incapables de le faire la maintenant) que c'est faisable de faire un script qui pourrait faire du web crawling sur les liens de tes .deb et retrouver la derniere version sortie de ton logiciel d’intérêt. Mais d'un autre cote, si t'as trop de .deb dans ta liste pour que ça soit "humainement" gérable, c'est que peut être tu installes trop de .deb en dehors de ceux prévus par la distri ... Dans ce cas la, peut être faut-il se tourner vers des distris en "rolling release"... bon après j'ai jamais essaye de tels systèmes.

Désolé de ne pas t'apporter de réponse magique a ta question :mrgreen:
Sinon tu peux trouver peut être ta réponse dans ces liens:
https://askubuntu.com/questions/982407/ ... a-deb-file
https://askubuntu.com/questions/771703/ ... enote?rq=1
https://askubuntu.com/questions/47897/i ... kages?rq=1

------------------------------------------------

Pour répondre a Mia88,
Mia88 a écrit :
mar. 23 févr. 2021 13:55
J'ai souvent lu qu'il fallait éviter les paquets "étrangers", .deb, PPA, ... donc j'évite, mais le pourquoi n'est pas souvent abordé...
De ce que j'ai compris (peut être que je me trompe), l’idée d’éviter de passer en dehors des dépôts, c'est un problème de confiance.

Dans l’idéal, on devrait tous regarder le code de chaque paquet, le comprendre, et savoir ce qu'il va faire. Dans la réalité, j'en pane pas le 1/10 de ce qui est écris ... :l :lol:
Donc je suis oblige de faire confiance. Quand j’installe par les dépôts, je fais confiance aux développeurs de Linux Mint pour avoir tester le paquet sur le système que j'utilise et avoir vérifié les sources de conflits et d'autres soucis de securite (code vérolé ?). Quand j'installe par un .ppa ou .deb trouves sur le net, je sais que je prend un risque et je dois peser le pour et le contre de mon choix et faire confiance a la personne qui l'a mis en ligne sans être sur que ça ait autant été tester que par les développeurs de ta distri.

------------------------------------------------

Concernant la commande fournie par @yoyo.thebest,
yoyo.thebest a écrit :
sam. 20 févr. 2021 18:53
je ne sais pas forcément si cela va répondre exactement à ce que tu cherches.
as tu essayer la commande

Code : Tout sélectionner

apt list --installed
je rajouterais ceci pour n'avoir que les paquests installes localement:

Code : Tout sélectionner

sudo apt list --installed | grep installed,local
PC1: Mobo: Gigabyte B550 AORUS Elite 2 / CPU: AMD Ryzen 7 3700X / GPU: MSI Radeon RX 580 Armor / RAM: 32 GB @3600 MHz CL16 / SSD: Samsung 970 EVO 500 GB / LM20 Xfce
PC2: Dell-Latitude E7240 / 2GHz i5-4310U / Intel Haswell-ULT HD 4400 / 16GB RAM / 500 GB Hard Drive / LM 19.3 Xfce x64
PC4: Dell-Latitude E7240 / 2.1GHz i7-4600U / Intel Haswell-ULT HD 4400 / 8GB RAM / 250 GB Hard Drive / LM 19.3 Xfce x64
PC4: Hp-Pavilion Slimline / 2.5 GHz AMD RV710 / 4GB RAM / 500 GB hard drive / LM 18.3 Xfce x64

Avatar du membre
Mia88
Messages : 1139
Enregistré le : ven. 18 nov. 2016 08:42
Localisation : Lorraine

Re: [Question bête] suivi des mises à jour des paquet .deb installés localement

Message par Mia88 »

Bonjour David,
david37 a écrit :
mer. 24 févr. 2021 00:37
l’idée d’éviter de passer en dehors des dépôts, c'est un problème de confiance.

Dans l’idéal, on devrait tous regarder le code de chaque paquet, le comprendre, et savoir ce qu'il va faire.
Une façon d'éviter les problèmes peut être de se cantonner à des paquets ou PPAs connus, enfin je suppose...

Ce qui m'a interpellée dans le sujet, c'est plutôt les versions de paquets .deb ne correspondant plus à la version de la distribution.
Une surveillance permanente, c'est un peu pénible.

Mais j'ai seulement un dépôt additionnel pour Multisystem et les .deb pour Shutter, ça va ;)
Mint Cinnamon 19.3 64-bits / Intel Xeon CPU E3-1270 V2 3.5GHz x 4 / Ram 15.6 Go / CG NVIDIA GF106GL [Quaro 2000]

Répondre